=== modified file 'mime.js'
--- mime.js	2013-08-14 11:48:50 +0000
+++ mime.js	2013-09-16 11:50:41 +0000
@@ -69,7 +69,7 @@
  * Lookup a mime type based on extension
  */
 Mime.prototype.lookup = function(path, fallback) {
-  var ext = path.replace(/.*[\.\/]/, '').toLowerCase();
+  var ext = path.replace(/.*[\.\/\\]/, '').toLowerCase();
 
   return this.types[ext] || fallback || this.default_type;
 };

=== modified file 'package.json'
--- package.json	2013-08-14 11:48:50 +0000
+++ package.json	2013-09-16 11:50:41 +0000
@@ -18,5 +18,5 @@
   "main": "mime.js",
   "name": "mime",
   "repository": {"url": "https://github.com/broofa/node-mime", "type": "git"},
-  "version": "1.2.10"
+  "version": "1.2.11"
 }

=== modified file 'test.js'
--- test.js	2013-08-14 11:48:50 +0000
+++ test.js	2013-09-16 11:50:41 +0000
@@ -18,16 +18,16 @@
 // Test mime lookups
 //
 
-eq('text/plain', mime.lookup('text.txt'));
-eq('text/plain', mime.lookup('.text.txt'));
-eq('text/plain', mime.lookup('.txt'));
-eq('text/plain', mime.lookup('txt'));
-eq('application/octet-stream', mime.lookup('text.nope'));
-eq('fallback', mime.lookup('text.fallback', 'fallback'));
-eq('application/octet-stream', mime.lookup('constructor'));
-eq('text/plain', mime.lookup('TEXT.TXT'));
-eq('text/event-stream', mime.lookup('text/event-stream'));
-eq('application/x-web-app-manifest+json', mime.lookup('text.webapp'));
+eq('text/plain', mime.lookup('text.txt'));     // normal file
+eq('text/plain', mime.lookup('TEXT.TXT'));     // uppercase
+eq('text/plain', mime.lookup('dir/text.txt')); // dir + file
+eq('text/plain', mime.lookup('.text.txt'));    // hidden file
+eq('text/plain', mime.lookup('.txt'));         // nameless
+eq('text/plain', mime.lookup('txt'));          // extension-only
+eq('text/plain', mime.lookup('/txt'));         // extension-less ()
+eq('text/plain', mime.lookup('\\txt'));        // Windows, extension-less
+eq('application/octet-stream', mime.lookup('text.nope')); // unrecognized
+eq('fallback', mime.lookup('text.fallback', 'fallback')); // alternate default
 
 //
 // Test extensions
@@ -43,10 +43,10 @@
 eq('html', mime.extension('text/html ; charset=UTF-8'));
 eq('html', mime.extension('text/html;charset=UTF-8'));
 eq('html', mime.extension('text/Html;charset=UTF-8'));
-eq(undefined, mime.extension('constructor'));
+eq(undefined, mime.extension('unrecognized'));
 
 //
-// Test node types
+// Test node.types lookups
 //
 
 eq('application/font-woff', mime.lookup('file.woff'));

